uk.ac.starlink.votable

## Enum ResourceType

- java.lang.Object
- - java.lang.Enum<ResourceType>
  - - uk.ac.starlink.votable.ResourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResourceType>

      public enum ResourceType
      extends java.lang.Enum<ResourceType>

  Values permitted for the type attribute on the VOTable RESOURCE element.
  Since:
    7 Nov 2024

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `META` For `<RESOURCE type='meta'/>`.
    `RESULTS` For `<RESOURCE type='results'/>`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the attribute value.
    `static ResourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESULTS

          public static final ResourceType RESULTS

      For `<RESOURCE type='results'/>`.

    - #### META

          public static final ResourceType META

      For `<RESOURCE type='meta'/>`.

  - ### Method Detail

    - #### values

          public static ResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceType c : ResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Returns the attribute value.
      Overrides:
        `toString` in class `java.lang.Enum<ResourceType>`
      Returns:
        RESOURCE type attribute value